Package org.eclipse.m2m.atl.core

# Interface IInjector

All Known Implementing Classes:
  `ASMInjector`, `AtlParser`, `EMFInjector`

public interface IInjector
The IInjector interface defines a way to serialize a given IModel.

## Method Summary

Modifier and Type
Method
Description
`void`
`inject(IModel targetModel, InputStream source, Map<String,Object> options)`
Injects data into an IModel using the given options.
`void`
`inject(IModel targetModel, Reader source, Map<String,Object> options)`
Injects data into an IModel using the given options.
`void`
`inject(IModel targetModel, String source)`
Injects data into an IModel using default options.
`void`
`inject(IModel targetModel, String source, Map<String,Object> options)`
Injects data into an IModel using the given options.

## Method Details

### inject

void inject(IModel targetModel, String source) throws ATLCoreException
Injects data into an IModel using default options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the source indication to load the sourceModel
Throws:
  `ATLCoreException`

### inject

void inject(IModel targetModel, String source, Map<String,Object> options) throws ATLCoreException
Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the source indication to load the sourceModel: an URL, or a specific thing
  `options` - the injection parameters
Throws:
  `ATLCoreException`

### inject

void inject(IModel targetModel, InputStream source, Map<String,Object> options) throws ATLCoreException
Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the `InputStream` containing the model
  `options` - the injection parameters
Throws:
  `ATLCoreException`

### inject

void inject(IModel targetModel, Reader source, Map<String,Object> options) throws ATLCoreException
Injects data into an IModel using the given options.

Parameters:
  `targetModel` - the IModel where to inject
  `source` - the `Reader` containing the model
  `options` - the injection parameters
Throws:
  `ATLCoreException`